#include "dicepicker.h"
#include "dice.h"

#include <KListWidget>
#include <QDialog>
#include <KDialogButtonBox>
#include <KPushButton>
#include <QLabel>
#include <QWidget>
#include <QVBoxLayout>
#include <KLocale>

DicePicker::DicePicker(QWidget* parent)
						: QDialog(parent)
{
	label = new QLabel(i18n("Dice List:"));
	diceList = new KListWidget;
	buttonBox = new KDialogButtonBox(this);

	diceList->addItem("Custem");
	diceList->addItem("D20");
	diceList->addItem("D&D Attack");
	diceList->addItem("D&D Stats");
	diceList->addItem("World of Darkness");
//	diceList->addItem("Label");
	diceList->setCurrentRow(0);
	diceList->setSelectionMode(QAbstractItemView::SingleSelection);

	QPushButton* addButton;
	QPushButton* closeButton;
	addButton = buttonBox->addButton(i18n("&Add"), QDialogButtonBox::AcceptRole, this, SLOT(apply()));
	closeButton = buttonBox->addButton(QDialogButtonBox::Close);

	QVBoxLayout* layout = new QVBoxLayout;
	layout->addWidget(label);
	layout->addWidget(diceList);
	layout->addWidget(buttonBox);

	connect(closeButton, SIGNAL(clicked(bool)), this, SLOT(close()));
	connect(diceList, SIGNAL(itemDoubleClicked(QListWidgetItem*)), this, SLOT(apply()));

	setLayout(layout);
}

void DicePicker::apply()
{
	AbstractDice* dice = 0;
	if(diceList->currentItem()->text() == "Custem")
		dice = new CustemDice;
	else if(diceList->currentItem()->text() == "D20")
		dice = new D20Dice;
	else if(diceList->currentItem()->text() == "D&D Attack")
		dice = new AttackDice;
	else if(diceList->currentItem()->text() == "D&D Stats")
		dice = new StatsDice;
	else if(diceList->currentItem()->text() == "World of Darkness")
		dice = new WODDice;
	else if(diceList->currentItem()->text() == "Label")
		dice = new LabelDice;
	if (dice != 0)
		emit addDice(dice);
}
