/*
	Copyright 2009 Michael Daffin <james1479@googlemail.com>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <KXmlGuiWindow>
#include <KTextEdit>

#include "dice.h"

class DiceList;
class DicePicker;
template <class T> class QList;
class QVBoxLayout;

class MainWindow : public KXmlGuiWindow
{
	Q_OBJECT
public:
	MainWindow(QWidget *parent=0);
	void openFile(const QString &inputFileName);
	KTextEdit* results;

private:
	void setupActions();

	QString fileName;
	DiceList *diceList;
	DicePicker* dialog;

public slots:
	void addResults(const QString result);

private slots:
	void openFile();
	void saveFile();
	void saveFileAs();
	void saveFileAs(const QString &outputFileName);
};

#endif
